import React, { useEffect, useState } from "react";
import { Grid } from "../../../../components/grid/Grid";
import ResponsiveTable from "../../../../components/responsive-table/ResponsiveTable";
import { useDispatch } from "react-redux";
import { provinceSubSectorVetFarmSharesVetFarmsService } from "../../services/province-sub-sectors-services";

export const ProvinceSubSectorVetFarmSharesOverview = ({ getParams }) => {
  const dispatch = useDispatch();

  const [tableData, setTableData] = useState([]);

  useEffect(() => {
    dispatch(provinceSubSectorVetFarmSharesVetFarmsService(getParams())).then(
      (r) => {
        const d = r.payload.data?.map((item, i) => {
          return [
            i + 1,
            `${item?.user?.fullname} (${item?.user?.mobile})`,
            item?.user?.city,
            Math.round(item?.wageInfo?.totalQuantity),
            Math.round(item?.wageInfo?.totalWeight),
            Math.round(
              item?.wageInfo?.totalPureInternalProvinceCarcassesAmount
            )?.toLocaleString(),
            Math.round(
              item?.wageInfo?.totalPureExternalProvinceCarcassesAmount
            )?.toLocaleString(),
            Math.round(
              item?.wageInfo?.outProvincePoultryRequestAmount
            )?.toLocaleString(),
            Math.round(item?.wageInfo?.totalWage)?.toLocaleString(),
            Math.round(item?.wageInfo?.numberOfDeposit)?.toLocaleString(),
            Math.round(item?.wageInfo?.vetDepositAmount)?.toLocaleString(),
            Math.round(item?.wageInfo?.totalRemainWage)?.toLocaleString(),
          ];
        });
        setTableData(d);
      }
    );
  }, [dispatch, getParams]);

  return (
    <Grid container xs={12} justifyContent="center" alignItems="center">
      <ResponsiveTable
        paginated
        columns={[
          "ردیف",
          "کاربر",
          "شهر",
          "حجم کشتار (دارای کد قرنطینه)",
          "وزن کشتار (دارای کد قرنطینه)",
          "تعرفه کشتارو توزیع داخل استان (ریال)",
          "تعرفه کشتارو توزیع خارج از استان (ریال)",
          "تعرفه فروش به خارج از استان (ریال)",
          "مجموع تعرفه (ریال)",
          "تعداد دفعات واریز",
          "مجموع واریزی اتحادیه (ریال)",
          "مانده تعرفه (ریال)",
        ]}
        data={tableData}
        title="دامپزشکان"
      />
    </Grid>
  );
};
